(function($){
	"use strict";

	// Mean Menu
	$('.mean-menu').meanmenu({
		meanScreenWidth: "991" 
	});

	// Header Sticky
	$(window).on('scroll',function() {
		if ($(this).scrollTop() > 120){  
			$('.ea-header-area').addClass("is-sticky");
		}
		else{
			$('.ea-header-area').removeClass("is-sticky");
		}
	});

	// Feedback Slides
	var carouselEl = $('.ea-feedback-slides');
	carouselEl.owlCarousel({
		items: 1,
		loop: true,
		margin: 30,
		nav: false,
		dots: false,
		autoplay: false,
		autoplayHoverPause: true,
		navText: [
			"<i class='bx bx-chevron-left'></i>",
			"<i class='bx bx-chevron-right'></i>"
		]
	});

	$(".custom-owl-prev").click(function() {
        carouselEl.trigger('next.owl.carousel');
    });

    $(".custom-owl-next").click(function() {
        carouselEl.trigger('prev.owl.carousel');
	});

	// Infobox JS
	$('.ea-info-box-area.bg-shape .col-lg-4:nth-child(2) .ea-single-info-box').addClass('bg-ff9f07');
	$('.ea-info-box-area.bg-shape .col-lg-4:nth-child(3) .ea-single-info-box').addClass('bg-2ea7ff');
    
    $(".ea-info-box-area.ea-style-six .infobox-col:nth-child(1)").addClass('ia');
    $(".ea-info-box-area.ea-style-six .infobox-col:nth-child(2)").addClass('ib');
    $(".ea-info-box-area.ea-style-six .infobox-col:nth-child(3)").addClass('ic');

    $(".ea-info-box-area.ea-style-six .infobox-col.ia .ea-single-info-box").wrap('<div class="col-lg-12 col-md-12 col-sm-12"></div>');
    $(".ea-info-box-area.ea-style-six .infobox-col.ib .ea-single-info-box").wrap('<div class="col-lg-12 col-md-12 col-sm-12"></div>');

	$('.ia, .ib').wrapAll('<div class="col-lg-6 col-md-6"></div>');
	$('.ic').wrap('<div class="col-lg-6 col-md-6"></div>');

	$( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {
            
            // Tabs JS
            $('.ea-tabs-area .ea-tabs-button .nav-link:nth-child(1)').addClass('active');
            $('.ea-tabs-area .ea-tabs-content .tab-pane:nth-child(1)').addClass('active');

            // Infobox JS 
            $('.infobox-col:nth-child(2) .ea-single-info-box').addClass('active');
            $('.infobox-col:nth-child(2) .ea-single-info-box.style-five .icon').addClass('bg-ffd18d');
	        $('.infobox-col:nth-child(3) .ea-single-info-box.style-five .icon').addClass('bg-ffc2d3');

	        $('.infobox-col:nth-child(2) .ea-single-info-box.style-eight').addClass('bg-ff9f07');
	        $('.infobox-col:nth-child(3) .ea-single-info-box.style-eight').addClass('bg-2ea7ff');
            
            // Pricing JS
            $('.pricing-col:nth-child(2) .ea-single-pricing-item.style-two').addClass('bg-290390');
			$('.pricing-col:nth-child(3) .ea-single-pricing-item.style-two').addClass('bg-1fa299');
			$('.pricing-col:nth-child(4) .ea-single-pricing-item.style-six .link-btn').addClass('bg-black');
			$('.pricing-col:nth-child(2) .ea-single-pricing-item').addClass('active');

			// tooltip
			var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
			var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
				return new bootstrap.Tooltip(tooltipTriggerEl)
			});

			// Popup Image
			$('.popup-image').magnificPopup({
				type: 'image',
				gallery:{
					enabled:true
				}
			});

			// Gallery Popup JS
			$('.gallery-popup').each(function() {
				$(this).magnificPopup({
					delegate: '.full-screen', 
					type: 'image',
					gallery: {
					  enabled:true
					}
				});
			});

			// Popup Video
			$('.popup-video').magnificPopup({
				disableOn: 320,
				type: 'iframe',
				mainClass: 'mfp-fade',
				removalDelay: 160,
				preloader: false,
				fixedContentPos: false
			});

			// Testimonial Slides
			$('.ea-testimonial-slides.style-one').owlCarousel({
				loop: true,
				nav: false,
				margin: 30,
				dots: true,
				autoplay: false,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left'></i>",
					"<i class='bx bx-chevron-right'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					576: {
						items: 1
					},
					768: {
						items: 2
					},
					1200: {
						items: 2
					}
				}
			});
		   
			$('.ea-testimonial-slides.style-two').owlCarousel({
				items: 1,
				loop: true,
				nav: false,
				dots: true,
				margin: 30,
				autoplay: false,
				animateIn: 'fadeIn',
				animateOut: 'fadeOut',
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left'></i>",
					"<i class='bx bx-chevron-right'></i>"
				]
			});

			$('.ea-testimonial-slides.style-three').owlCarousel({
				loop: true,
				nav: false,
				dots: true,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left'></i>",
					"<i class='bx bx-chevron-right'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					576: {
						items: 1
					},
					768: {
						items: 2
					},
					992: {
						items: 2
					}
				}
			});

			$('.ea-testimonial-slides.style-four').owlCarousel({
				items: 1,
				nav: true,
				loop: true,
				margin: 30,
				dots: false,
				autoplay: false,
				animateIn: 'fadeIn',
				animateOut: 'fadeOut',
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left'></i>",
					"<i class='bx bx-chevron-right'></i>"
				]
			});

			$('.ea-testimonial-slides.style-five').owlCarousel({
				nav: true,
				margin: 30,
				loop: true,
				dots: false,
				autoplay: false,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left'></i>",
					"<i class='bx bx-chevron-right'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					768: {
						items: 2
					},
					992: {
						items: 2
					}
				}
			});

			// Testimonial JS
			$('.ea-testimonial-area .ea-single-testimonial-box i').addClass('quote-ico');

		    // Start Logo Carousel Slider

			// EA Logo Carousel Slider
			$('.ea-logo-carousel-slider').owlCarousel({
				nav: true,
				margin: 0,
				loop: true,
				dots: false,
				autoplay: false,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					375: {
						items: 2
					},
					768: {
						items: 4
					},
					992: {
						items: 5
					},
					1200: {
						items: 6
					}
				}
			});

			// EA Logo Carousel Slider Four
			$('.ea-logo-carousel-slider-four').owlCarousel({
				nav: false,
				margin: 0,
				loop: true,
				dots: true,
				autoplay: false,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					375: {
						items: 2
					},
					768: {
						items: 4
					},
					992: {
						items: 5
					},
					1200: {
						items: 6
					}
				}
			});

			// EA Logo Carousel Slider Five
			$('.ea-logo-carousel-slider-five').owlCarousel({
				nav: true,
				margin: 0,
				loop: true,
				dots: false,
				autoplay: false,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					375: {
						items: 2
					},
					768: {
						items: 4
					},
					992: {
						items: 5
					},
					1200: {
						items: 5
					}
				}
			});
			
			// EA Logo Carousel Slider Six
			$('.ea-logo-carousel-slider-six').owlCarousel({
				nav: false,
				margin: 0,
				loop: true,
				dots: true,
				autoplay: false,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					375: {
						items: 2
					},
					768: {
						items: 4
					},
					992: {
						items: 5
					},
					1200: {
						items: 6
					}
				}
			});

			// EA Logo Carousel Slider
			$('.ea-logo-carousel-slider-seven').owlCarousel({
				nav: true,
				margin: 0,
				loop: true,
				dots: false,
				autoplay: false,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					375: {
						items: 2
					},
					768: {
						items: 4
					},
					992: {
						items: 5
					},
					1200: {
						items: 5
					}
				}
			});

			// EA Logo Carousel Eight
			$('.ea-logo-carousel-slider-eight').owlCarousel({
				nav: true,
				margin: 0,
				loop: true,
				dots: false,
				autoplay: false,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					375: {
						items: 2
					},
					768: {
						items: 4
					},
					992: {
						items: 5
					},
					1200: {
						items: 5
					}
				}
			});

			// EA Logo Carousel Slider Ten
			$('.ea-logo-carousel-slider-ten').owlCarousel({
				nav: true,
				margin: 0,
				loop: true,
				dots: false,
				autoplay: false,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					375: {
						items: 2
					},
					768: {
						items: 4
					},
					992: {
						items: 5
					},
					1200: {
						items: 5
					}
				}
			});

	    });
    });

	// Progress Bar JS
	$( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {

		    $('.skill-bar').each(function() {
		        $(this).find('.progress-content').animate({
		        width:$(this).attr('data-percentage')
		        }, 2000);
		        
		        $(this).find('.progress-number-mark').animate(
		        {left:$(this).attr('data-percentage')},
		        {
		            duration: 2000,
		            step: function(now, fx) {
		            var data = Math.round(now);
		            $(this).find('.percent').html(data + '%');
		            }
		        });  
		    });

		    // Progress Bar JS
	        $(".progress-bar").loading();

	        // Progress Bar JS
		    $(".ea-progress-bar-area.style-five .row .skill-bar:nth-child(4)").addClass('mb-0');
		    $(".ea-progress-bar-area.style-six .row .col:nth-child(2) .progress-bar").addClass('color-f1faf1');
		    $(".ea-progress-bar-area.style-six .row .col:nth-child(3) .progress-bar").addClass('color-f2effc');
		    $(".ea-progress-bar-area.style-six .row .col:nth-child(4) .progress-bar").addClass('color-fcfaec');
		    $(".ea-progress-bar-area.style-six .row .col:nth-child(5) .progress-bar").addClass('color-e5f6fe');

        });
    });

    // FAQ Accordion JS
	$('.accordion').find('.ea-accordion-title').on('click', function(){
		// Adds Active Class
		$(this).toggleClass('active');
		// Expand or Collapse This Panel
		$(this).next().slideToggle('fast');
		// Hide The Other Panels
		$('.accordion-content').not($(this).next()).slideUp('fast');
		// Removes Active Class From Other Titles
		$('.ea-accordion-title').not($(this)).removeClass('active');		
	});

	// Accordion JS
    $('.ea-faq-accordion .accordion .accordion-item.left:nth-child(1) .accordion-title').addClass('active');
    $('.ea-faq-accordion.style-four .accordion .accordion-item.right:nth-child(1) .accordion-title').addClass('active');
    $('.ea-faq-accordion .accordion .accordion-item.left:nth-child(1) .accordion-content').addClass('show');

    // Odometer JS
	$('.odometer').appear(function(e) {
		var odo = $(".odometer");
		odo.each(function() {
			var countNumber = $(this).attr("data-count");
			$(this).html(countNumber);
		});
	});
	
    // Search Popup JS
	$('.ea-navbar-style-six .close-btn').on('click', function() {
		$('.ea-navbar-style-six .search-overlay').fadeOut();
		$('.ea-navbar-style-six .search-btn').show();
		$('.ea-navbar-style-six .close-btn').removeClass('active');
	});

	$('.ea-navbar-style-six .search-btn').on('click', function() {
		$(this).hide();
		$('.ea-navbar-style-six .search-overlay').fadeIn();
		$('.ea-navbar-style-six .close-btn').addClass('active');
	});

	$('.ea-navbar-style-seven .close-btn').on('click', function() {
		$('.ea-navbar-style-seven .search-overlay').fadeOut();
		$('.ea-navbar-style-seven .search-btn').show();
		$('.ea-navbar-style-seven .close-btn').removeClass('active');
	});

	$('.ea-navbar-style-seven .search-btn').on('click', function() {
		$(this).hide();
		$('.ea-navbar-style-seven .search-overlay').fadeIn();
		$('.ea-navbar-style-seven .close-btn').addClass('active');
	});

	// Sidebar Modal JS
	$(".burger-menu").on('click',  function() {
		$('.ea-sidebar-modal').toggleClass('active');
	});
	$(".ea-sidebar-modal-close-btn").on('click',  function() {
		$('.ea-sidebar-modal').removeClass('active');
	});	

	// Sidebar Menu JS
	$('#sidebar-menu-active').sidebarMenus();

	$('#sidebar-menu-active .has-children > a').on('click', function (e) {
		e.preventDefault();
	});

	/*$(".sidebar-menus").on("click", function (e) {
		e.preventDefault();
		$(".menu-slide-bar").toggleClass("show");
		$("body").addClass("on-side");
		$('.body-overlay').addClass('active');
		$(this).addClass('open');
	});

	$(".close-sidebar-menus > a").on("click", function (e) {
		e.preventDefault();
		$(".menu-slide-bar").removeClass("show");
		$("body").removeClass("on-side");
		$('.body-overlay').removeClass('active');
		$('.sidebar-menus').removeClass('open');
	});

	$('.body-overlay').on('click', function () {
		$(this).removeClass('active');
		$(".menu-slide-bar").removeClass("show");
		$("body").removeClass("on-side");
		$('.sidebar-menus').removeClass('open');
	});*/

	$( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {

        	// EA AOS JS
			AOS.init({
			    duration: 1200,
			})

			// EA Blog Post Slider JS
			$('.ea-blog-post-slider').owlCarousel({
				loop: true,
				nav: true,
				dots: false,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					576: {
						items: 1
					},
					768: {
						items: 1
					},
					992: {
						items: 1
					}
				}
			});

			// EA Review Slider JS
			$('.ea-review-slider-1').owlCarousel({
				items: 1,
				loop: true,
				nav: false,
				dots: true,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
			});

			// EA Review Slider JS
			$('.ea-review-slider-2').owlCarousel({
				items: 1,
				loop: true,
				nav: true,
				dots: false,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left' ></i>",
					"<i class='bx bx-chevron-right' ></i>"
				],
			});

			// EA Review Slider JS
			$('.ea-review-slider-3').owlCarousel({
				items: 1,
				loop: true,
				nav: false,
				dots: false,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left' ></i>",
					"<i class='bx bx-chevron-right' ></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					576: {
						items: 1
					},
					768: {
						items: 2
					},
					992: {
						items: 2
					}
				}
			});

			// EA Review Slider JS
			$('.ea-review-slider-4').owlCarousel({
				items: 1,
				loop: true,
				nav: true,
				dots: false,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
			});

			// EA Review Slider JS
			$('.ea-review-slider-5').owlCarousel({
				items: 1,
				loop: true,
				nav: false,
				dots: false,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					576: {
						items: 1
					},
					768: {
						items: 2
					},
					992: {
						items: 3
					}
				}
			});
	    });
    });

    // tooltip
	var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
	var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
		return new bootstrap.Tooltip(tooltipTriggerEl)
	});

    // Gallery Popup JS
	$('.ea-gallery-popup').each(function() {
		$(this).magnificPopup({
			delegate: '.full-screen', 
			type: 'image',
			gallery: {
			  enabled:true
			}
		});
	});

    // Contact Form JS
    $(".ea-contact-form textarea").attr('rows', '6');
    $(".ea-contact-form textarea").attr('cols', '30');
    
    $(".ea-contact-form-area.style-four .row .contact-info-col:nth-child(1)").addClass('col-lg-5');
    $(".ea-contact-form-area.style-four .row .contact-info-col:nth-child(2)").addClass('col-lg-3');
    $(".ea-contact-form-area.style-four .row .contact-info-col:nth-child(3)").addClass('col-lg-4');

    $(".ea-contact-form-area.style-four .row .contact-info-col:nth-child(2) .ea-single-contact-info").addClass('float-muddil');
    $(".ea-contact-form-area.style-four .row .contact-info-col:nth-child(3) .ea-single-contact-info").addClass('float-right');
    
    // Fun Factor JS
    $(".ea-fun-factor-area .row .funfactor-col:nth-child(1) .ea-single-fun-factor.style-five").addClass('bg-f3efff');
    $(".ea-fun-factor-area .row .funfactor-col:nth-child(2) .ea-single-fun-factor.style-five").addClass('bg-fff1ec');
    $(".ea-fun-factor-area .row .funfactor-col:nth-child(3) .ea-single-fun-factor.style-five").addClass('bg-e7faff');
    $(".ea-fun-factor-area .row .funfactor-col:nth-child(4) .ea-single-fun-factor.style-five").addClass('bg-ebf1ff');
    
    // Iconbox JS
    $(".ea-icon-box-area .row .iconbox-col:nth-child(1) .single-icon-box.style-three").addClass('bg-ffcb52');
    $(".ea-icon-box-area .row .iconbox-col:nth-child(2) .single-icon-box.style-three").addClass('bg-5581f1');
    $(".ea-icon-box-area .row .iconbox-col:nth-child(3) .single-icon-box.style-three").addClass('bg-517ef2');

    $(".ea-icon-box-area .row .iconbox-col:nth-child(1) .single-icon-box.style-four .icon").addClass('bg-f6de30');
    $(".ea-icon-box-area .row .iconbox-col:nth-child(2) .single-icon-box.style-four .icon").addClass('bg-74b780');
    $(".ea-icon-box-area .row .iconbox-col:nth-child(3) .single-icon-box.style-four .icon").addClass('bg-e07e90');
    $(".ea-icon-box-area .row .iconbox-col:nth-child(4) .single-icon-box.style-four .icon").addClass('bg-93d4fd');
    
    $(".ea-icon-box-area .row .iconbox-col:nth-child(1) .single-icon-box.style-six").addClass('bg-color-b0d9ea');
    $(".ea-icon-box-area .row .iconbox-col:nth-child(2) .single-icon-box.style-six").addClass('bg-color-f9e792');
    $(".ea-icon-box-area .row .iconbox-col:nth-child(3) .single-icon-box.style-six").addClass('bg-color-eba091');
    $(".ea-icon-box-area .row .iconbox-col:nth-child(4) .single-icon-box.style-six").addClass('bg-color-d1acf9');
		 
    // Image Gallery Js
    $(".ea-image-gallery-area.style-seven .row .ea-gallery:nth-child(1)").addClass('a');
    $(".ea-image-gallery-area.style-seven .row .ea-gallery:nth-child(2)").addClass('b');
    $(".ea-image-gallery-area.style-seven .row .ea-gallery:nth-child(3)").addClass('c');
    $(".ea-image-gallery-area.style-seven .row .ea-gallery:nth-child(4)").addClass('d');
    $(".ea-image-gallery-area.style-seven .row .ea-gallery:nth-child(5)").addClass('e');
    $(".ea-image-gallery-area.style-seven .row .ea-gallery:nth-child(6)").addClass('f');
    $(".ea-image-gallery-area.style-seven .row .ea-gallery:nth-child(7)").addClass('g');
    $(".ea-image-gallery-area.style-seven .row .ea-gallery:nth-child(8)").addClass('h');

    $(".ea-image-gallery-area.style-two .row .ea-gallery:nth-child(1)").addClass('i');
    $(".ea-image-gallery-area.style-two .row .ea-gallery:nth-child(2)").addClass('j');
    $(".ea-image-gallery-area.style-two .row .ea-gallery:nth-child(3)").addClass('k');
    $(".ea-image-gallery-area.style-two .row .ea-gallery:nth-child(4)").addClass('l');
    $(".ea-image-gallery-area.style-two .row .ea-gallery:nth-child(5)").addClass('m');
    $(".ea-image-gallery-area.style-two .row .ea-gallery:nth-child(6)").addClass('n');
    $(".ea-image-gallery-area.style-two .row .ea-gallery:nth-child(7)").addClass('o');
    $(".ea-image-gallery-area.style-two .row .ea-gallery:nth-child(8)").addClass('p');
    $(".ea-image-gallery-area.style-two .row .ea-gallery:nth-child(9)").addClass('q');

    $(".ea-image-gallery-area.style-one .row .ea-gallery:nth-child(1)").addClass('r');
    $(".ea-image-gallery-area.style-one .row .ea-gallery:nth-child(2)").addClass('s');
    $(".ea-image-gallery-area.style-one .row .ea-gallery:nth-child(3)").addClass('t');
    $(".ea-image-gallery-area.style-one .row .ea-gallery:nth-child(4)").addClass('u');
    $(".ea-image-gallery-area.style-one .row .ea-gallery:nth-child(5)").addClass('v');
    $(".ea-image-gallery-area.style-one .row .ea-gallery:nth-child(6)").addClass('w');
    $(".ea-image-gallery-area.style-one .row .ea-gallery:nth-child(7)").addClass('x');
    $(".ea-image-gallery-area.style-one .row .ea-gallery:nth-child(8)").addClass('y');
    
    $(".ea-image-gallery-area.style-four .row .image-gallery-col:nth-child(1)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-four .row .image-gallery-col:nth-child(2)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-four .row .image-gallery-col:nth-child(3)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-four .row .image-gallery-col:nth-child(4)").addClass('col-lg-8 col-md-6');
    $(".ea-image-gallery-area.style-four .row .image-gallery-col:nth-child(5)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-four .row .image-gallery-col:nth-child(6)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-four .row .image-gallery-col:nth-child(7)").addClass('col-lg-8 col-md-6');

    $(".ea-image-gallery-area.style-three .row .image-gallery-col:nth-child(1)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-three .row .image-gallery-col:nth-child(2)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-three .row .image-gallery-col:nth-child(3)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-three .row .image-gallery-col:nth-child(4)").addClass('col-lg-8 col-md-6');
    $(".ea-image-gallery-area.style-three .row .image-gallery-col:nth-child(5)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-three .row .image-gallery-col:nth-child(6)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-three .row .image-gallery-col:nth-child(7)").addClass('col-lg-4 col-md-6');
    $(".ea-image-gallery-area.style-three .row .image-gallery-col:nth-child(8)").addClass('col-lg-4 col-md-6');
 
    $('.a, .b').wrapAll('<div class="col-lg-3 col-md-6"></div>');
	$('.c, .d').wrapAll('<div class="col-lg-3 col-md-6"></div>');
	$('.e, .f').wrapAll('<div class="col-lg-3 col-md-6"></div>');
	$('.g, .h').wrapAll('<div class="col-lg-3 col-md-6"></div>'); 

	$('.i, .j, .k').wrapAll('<div class="col-lg-4 col-md-6"></div>');
	$('.m, .n, .l').wrapAll('<div class="col-lg-4 col-md-6"></div>');
	$('.o, .p, .q').wrapAll('<div class="col-lg-4 col-md-6"></div>');

	$('.r, .s, .t, .u').wrapAll('<div class="col-lg-6"></div>');
	$('.r, .s').wrapAll('<div class="row"></div>');
    $('.r').wrapAll('<div class="col-lg-6"></div>');
    $('.s').wrapAll('<div class="col-lg-6"></div>');
    $('.v, .w, .x, .y').wrapAll('<div class="col-lg-6"></div>');
    $('.x, .y').wrapAll('<div class="row"></div>');
    $('.x').wrapAll('<div class="col-lg-6"></div>');
    $('.y').wrapAll('<div class="col-lg-6"></div>');
    
    $(".ea-image-gallery-area.style-one .row .ea-gallery").removeClass('col-lg-3');
    $(".ea-image-gallery-area.style-two .row .ea-gallery").removeClass('col-lg-4');
    $(".ea-image-gallery-area.style-three .row .image-gallery-col").removeClass('col-lg-3');
    $(".ea-image-gallery-area.style-four .row .image-gallery-col").removeClass('col-lg-3');
    $(".ea-image-gallery-area.style-seven .row .ea-gallery").removeClass('col-lg-3');
    
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {
        	
	    // Roadmap JS
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(1)").addClass('ea-one');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(2)").addClass('ea-two');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(3)").addClass('ea-three');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(4)").addClass('ea-four');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(5)").addClass('ea-five');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(6)").addClass('ea-six');

	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(1) img").addClass('ea-right-shape-1');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(2) img").addClass('ea-right-shape-2');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(3) img").addClass('ea-right-shape-1');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(4) img").addClass('ea-right-shape-2');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(5) img").addClass('ea-right-shape-1');
	    $(".ea-road-map-area.ea-style-two .row ul li:nth-child(6) img").addClass('ea-right-shape-2');
	    
	    $(".ea-road-map-area.style-three .row .roadmap-col:nth-child(3) .ea-single-road-map-three").addClass('active');
        
        $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(1) .ea-single-road-map-ea-style-five").addClass('ea-card-style-one');
	    $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(2) .ea-single-road-map-ea-style-five").addClass('ea-card-style-two');
	    $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(3) .ea-single-road-map-ea-style-five").addClass('ea-card-style-three');
	    $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(5) .ea-single-road-map-ea-style-five").addClass('ea-count-card');
	    $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(5) .ea-single-road-map-ea-style-five").addClass('ea-card-style-four');
	    $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(6) .ea-single-road-map-ea-style-five").addClass('ea-count-card');
	    $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(6) .ea-single-road-map-ea-style-five").addClass('ea-card-style-five');
        
        $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(4) .ea-count-number").addClass('ea-count-two');
	    $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(5) .ea-count-number").addClass('ea-count-two');
	    $(".ea-road-map-area.ea-style-five .row .roadmap-col:nth-child(6) .ea-count-number").addClass('ea-count-two');
        $(".ea-blog-post-area.ea-style-five .col-lg-6:nth-child(2)").addClass('mt-50 mb-50');
        $(".ea-blog-post-area.ea-style-five .col-lg-6:nth-child(4)").addClass('mt-50 mb-50');

        });
    });
    
    // Blog JS
    $(".ea-blog-post-area.ea-style-six .row .ea-blogcol:nth-child(1)").addClass('pa');
    $(".ea-blog-post-area.ea-style-six .row .ea-blogcol:nth-child(2)").addClass('pb');
    $(".ea-blog-post-area.ea-style-six .row .ea-blogcol:nth-child(3)").addClass('pc');
    $(".ea-blog-post-area.ea-style-six .row .ea-blogcol:nth-child(4)").addClass('pd');

	$('.pa, .pb, .pc').wrapAll('<div class="col-lg-6"></div>');
	$('.pd').wrapAll('<div class="col-lg-6"></div>');

    $(".ea-blog-post-area.ea-style-two .row .ea-single-blog-post:nth-child(1)").addClass('ba');
    $(".ea-blog-post-area.ea-style-two .row .ea-single-blog-post:nth-child(2)").addClass('bb');
    $(".ea-blog-post-area.ea-style-two .row .ea-single-blog-post:nth-child(3)").addClass('bc');
    $(".ea-blog-post-area.ea-style-two .row .ea-single-blog-post:nth-child(4)").addClass('bd');
    $(".ea-blog-post-area.ea-style-two .row .ea-single-blog-post:nth-child(5)").addClass('be');

    $('.ba').wrapAll('<div class="col-lg-5"></div>');
	$('.bb, .bc, .bd, .be').wrapAll('<div class="col-lg-7"><div class="row"></div></div>');
	$('.bb').wrapAll('<div class="col-lg-6"></div>');
	$('.bc, .bd, .be').wrapAll('<div class="col-lg-6"></div>');

	$(".ea-blog-post-area.ea-style-two .row .ea-style-two").removeClass('col-lg-6');
	$(".ea-blog-post-area.ea-style-six .row .ea-blogcol").removeClass('col-lg-6');
    
    // WP Form Js 
	$( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {
            $('.ea-wp-contact-form-area .ea-wp-contact-form input').addClass('form-control');
            $('.ea-wp-contact-form-area .ea-wp-contact-form input[type="checkbox"]').removeClass('form-control');
            $('.ea-wp-contact-form-area .ea-wp-contact-form textarea').addClass('form-control');
            $('.ea-wp-contact-form-area .ea-wp-contact-form textarea').attr('rows', '6');
            $('.ea-wp-contact-form-area .ea-wp-contact-form select').addClass('form-select form-control');
        });
    });
    
    // Ninja Form Js
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {
            $(".ea-ninja-form-area.ea-style-one .ea-contact-info li:nth-child(1)").addClass('ea-mb-20');
        });
    });

    // Footer Js
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {
            $(".ea-footer-newsletter-form input[type='email']").removeClass('input-newsletter');
            $(".ea-footer-newsletter-form input[type='email']").addClass('form-control');
            $(".ea-footer-newsletter-form button[type='submit']").removeClass('default-btn');
            $(".ea-footer-newsletter-form button[type='submit']").addClass('subscribe-btn');
            $(".ea-footer-newsletter-form button[type='submit'] i").removeClass('bx bx-paper-plane');
            $(".ea-footer-newsletter-form button[type='submit'] i").addClass('bx bxs-send');     
        });
    });
    
    // Animated Button
    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {
	        $(".btn-still-in-view .ea-default-btn").prepend('<span></span>');
	        $(".btn-still-in-view .ea-default-btn").prepend('<span></span>');
	        $(".btn-still-in-view .ea-default-btn").prepend('<span></span>');
	        $(".btn-still-in-view .ea-default-btn").prepend('<span></span>');   
	    });
    });

}(jQuery));
